# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeParabola Class Reference

This class implements the mapping between classes
Parabola from StepGeom which describes a Parabola from
Prostep and Parabola from Geom.
.

`#include <StepToGeom_MakeParabola.hxx>`

Inheritance diagram for StepToGeom_MakeParabola:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeParabola (const Handle(StepGeom_Parabola)&C)
Standard_EXPORT const Handle_Geom_Parabola & | Value () const

## Private Attributes

Handle_Geom_Parabola | theParabola

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeParabola::StepToGeom_MakeParabola | ( | const Handle(StepGeom_Parabola)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeParabola::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeParabola::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeParabola::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Parabola& StepToGeom_MakeParabola::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Parabola StepToGeom_MakeParabola::theParabola `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeParabola.hxx